from __future__ import division
from pylab import *
from numpy import ma

# Set limits and number of points in grid
xmax = 4
xmin = -xmax
NX = 20
ymax = 4
ymin = -ymax
NY = 20

# Make grid and calculate vector components
x = linspace(xmin, xmax, NX)
y = linspace(ymin, ymax, NY)
X, Y = meshgrid(x, y)
U = -X/sqrt(X**2+Y**2)**(3/2)
V = -Y/sqrt(X**2+Y**2)**(3/2)
figure()
QP = quiver(X,Y,U,V,color='r')

plot([-6, 6], [0, 0], 'y-', lw=2)
plot([0, 0], [-6, 6], 'y-', lw=2)

plot([-2,3],[2,-1],'bo',markersize=10)
#plot([-2,3],[2,-1],'b-',lw=2)
annotate('A',xy=(-2,1.5),fontsize=20)
annotate('B',xy=(3,-1.5),fontsize=20)

theta=linspace(-20/180*pi,135/180*pi,100)
r=sqrt(10)

x=r*cos(theta)
y=r*sin(theta)

plot(x,y,'b-',lw=2)
plot([-2,sqrt(10)*cos(135/180*pi)],[2,sqrt(10)*sin(135/180*pi)],'b-',lw=2)

# a=linspace(0,2,100)
# b=a
# 
# plot(a,b,'b-', lw=3)
# plot(a[0],b[0],'bo',markersize=10)
# plot(a[99],b[99],'bo',markersize=10)
# 
# c=0.5*a**2

# plot(a,c,'b-', lw=3)
# plot(a[0],c[0],'bo',markersize=10)
# plot(a[99],c[99],'bo',markersize=10)
# 
# plot([0, 0],[0,2],'b-', lw=3)
# plot([0, 2],[2,2],'b-', lw=3)
# plot(0,0,'bo',markersize=10)
# plot(0,2,'bo',markersize=10)
# plot(2,2,'bo',markersize=10)
# 
# annotate('1',xy=(1,2.1),fontsize=20)
# annotate('2',xy=(1,1.2),fontsize=20)
# annotate('3',xy=(1,0.25),fontsize=20)

# Set the left, right, bottom, top limits of axes
dx = (xmax - xmin)/(NX - 1)
dy = (ymax - ymin)/(NY - 1)
axis("scaled")
axis([xmin-dx, xmax+dx, ymin-dy, ymax+dy])
#title('x = sin(x), y = sin(y)')
show()
#savefig('blank.pdf')